Subject: Re: Make debug a run-time option

From: Jouni Malinen <[email-masked]>
Date: Wed, 14 Mar 2007 17:17:42 +0000

On Wed, Mar 14, 2007 at 12:03:56PM -0400, Kyle McMartin wrote:
> Build-time debugging isn't overly useful for distro kernel folks, nor is
> enabling huge amounts of debug spew by default. Provide the option of
> enabling debugging with module parameters.

While I understand that it would be difficult to change the debug level
options with binary distributions, I'm not sure whether I would like to
see these changes going in. PRISM2_NO_DEBUG was added to make it
possible to reduce the driver size considerably. In addition, the change
to the default debug categories (i.e., disable all) may make it more
difficult to understand reported issues. I would be more open to
disabling debug messages one-by-one if there is something specific that
can be agreed to cause more harm than benefit with extra output.

-- 
Jouni Malinen                                            PGP id EFC895FA